Name:           coredumper
Version:        1.2.1
Release:        10%{?dist}
Summary:        Library to create core dumps

Group:          Development/Tools
License:        BSD
URL:            http://code.google.com/p/google-%{name}/
Source0:        http://google-%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         coredumper-remove_linux_dirent_h.patch
Patch1:         coredumper_unittest_c.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  binutils, gdb

# Bugs ia64 - BZ@462342, ppc - BZ@461340, ppc64 - BZ@461341
ExclusiveArch: %{ix86} x86_64


%description
The coredumper library can be compiled into applications to create
core dumps of the running program -- without terminating. It supports
both single- and multi-threaded core dumps, even if the kernel does
not natively support multi-threaded core files.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%patch0 -p1 -b .remove_linux_dirent_h
%patch1 -p1 -b .coredumper_unittest_c

%build
%configure --enable-static=no

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%{_libdir}/libcoredumper.so.*

%files devel
%defattr(-,root,root,-)
%doc README
%doc examples
%{_libdir}/libcoredumper.so
%{_mandir}/man3/*
%dir %{_includedir}/google
%{_includedir}/google/*.h

%changelog
* Wed Sep 23 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.1-10
- Replaced ExcludeArch with ExclusiveArch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 20 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1.2.1-8
- GDB messages changed, fixes the test suite - by Jan Kratochvil (FTBFS #496523)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-6
- updated exclude arch field with bug numbers.
- included secondary archs

* Mon Sep 01 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-5
- upstream fixed dirent.h problem (applied patch)

* Sun Aug 25 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-4
- patch for replacing dirent.h

* Sun Aug 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-3
- fixed buildrequires

* Sun Aug 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-2
- added %%check section, moved README to devel
- mv header files back to google directory

* Thu Aug 07 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-1
- Initial build
